org.apache.fop.render.pdf.pdfbox

## Class ImageLoaderFactoryImageRawData

- java.lang.Object
- - org.apache.xmlgraphics.image.loader.impl.AbstractImageLoaderFactory
  - - org.apache.fop.render.pdf.pdfbox.ImageLoaderFactoryImageRawData

- All Implemented Interfaces:
    org.apache.xmlgraphics.image.loader.spi.ImageLoaderFactory

      public class ImageLoaderFactoryImageRawData
      extends org.apache.xmlgraphics.image.loader.impl.AbstractImageLoaderFactory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageLoaderFactoryImageRawData()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.xmlgraphics.image.loader.ImageFlavor[]` | `getSupportedFlavors(java.lang.String s)`
    `java.lang.String[]` | `getSupportedMIMETypes()`
    `boolean` | `isAvailable()`
    `org.apache.xmlgraphics.image.loader.spi.ImageLoader` | `newImageLoader(org.apache.xmlgraphics.image.loader.ImageFlavor imageFlavor)`

    - ### Methods inherited from class org.apache.xmlgraphics.image.loader.impl.AbstractImageLoaderFactory

      `getUsagePenalty, isSupported`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImageLoaderFactoryImageRawData

          public ImageLoaderFactoryImageRawData()

  - ### Method Detail

    - #### getSupportedMIMETypes

          public java.lang.String[] getSupportedMIMETypes()

    - #### getSupportedFlavors

          public org.apache.xmlgraphics.image.loader.ImageFlavor[] getSupportedFlavors(java.lang.String s)

    - #### newImageLoader

          public org.apache.xmlgraphics.image.loader.spi.ImageLoader newImageLoader(org.apache.xmlgraphics.image.loader.ImageFlavor imageFlavor)

    - #### isAvailable

          public boolean isAvailable()

Copyright 2007-2025 The Apache Software Foundation. All Rights Reserved.